Developer Portal
InsightsPurpleTRACMTI
Podium
Other
Other
  • Weather
InsightsPurpleTRACMTI
Podium
Other
Other
  • Weather
  1. MTI Scores
  • Start Here
    • Overview
    • Authentication
    • Understanding scores
    • Getting started
  • Vessels
    • List vessels
      GET
    • Get a vessel
      GET
  • MTI Scores
    • Get a vessel's scores
      GET
    • Get a vessel's overall score
      GET
    • Get scores for several vessels
      POST
    • Get overall scores for several vessels
      POST
    • Get the score distribution for a vessel class
      GET
  • Schemas
    • DetailMeta
    • ListMeta
    • ErrorResponse
    • VesselDetail
    • VesselScores
    • VesselOverallScore
    • VesselBatchItem
    • BatchScoresRequest
    • BatchMeta
  1. MTI Scores

Get a vessel's scores

Production
Production
GET
/mti-api/api/v1/vessels/{imo}/scores
The composite MTI score and the five category scores for one vessel:
Vessel, Reporting, Voyages, Sanctions and Emissions. Identity and
ownership fields are left out.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.mti.stage.polestardefense.com/realms/mti-stage/protocol/openid-connect/token
or
Path Params

Responses

🟢200OK
application/json
Current vessel scores
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/mti-api/api/v1/vessels/9811000/scores' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - The six scores for one vessel, for illustration
{
    "meta": {
        "requestId": "2c9d7e41-5b3a-4f86-9e0d-1a7b3c5e8f92",
        "requestTimestamp": "2026-09-30T09:30:00Z"
    },
    "data": {
        "imoNumber": "9999999",
        "mtiScore": 3.8,
        "vesselScore": 4.1,
        "reportingScore": 3.2,
        "voyagesScore": 3.9,
        "emissionsScore": 3.5,
        "sanctionsScore": 4.6,
        "mtiVesselClass": "Bulk Carriers",
        "updatedAt": "2026-09-29T02:00:00Z"
    }
}
Modified at 2026-10-05 11:56:54
Previous
Get a vessel
Next
Get a vessel's overall score
Built with